%define name monkey-media
%define major 0
%define libname %mklibname %name %major
%define version 0.6.1
%define release 7mdk

%define gstversion 0.6.0

Name:		%name
Summary:	Library for playback of music files
Version:	%version
Release:	%release
License:	GPL
Group:		Sound
Source:		%{name}-%{version}.tar.bz2
Patch:		monkey-media-0.5.0-disable-werror.patch.bz2
Patch1:		monkey-media-0.6.0-gstreamer-0.6.patch.bz2
URL:		http://www.rhythmbox.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libglade2.0-devel
BuildRequires:  libgnome2-devel
BuildRequires:	libgstreamer-devel >= %gstversion
BuildRequires:	intltool
BuildRequires:	libmad0-devel
BuildRequires:	libvorbis-devel
BuildRequires:  libmusicbrainz-devel >= 1.1.0
BuildRequires:  autoconf2.5
Requires: gstreamer-gnomevfs >= %gstversion
Requires: gstreamer-audio-effects >= %gstversion
Requires: gstreamer-mad >= %gstversion
Requires: gstreamer-vorbis >= %gstversion

%description
This is a generic library wrapping gstreamer usable in 
mediaplayer like applications.
             
   Implemented features:
   - Music file loading/playing/pausing/seeking
   - Gnome-VFS file information interface for MP3 and OGG files.
   - Volume control interface
   Planned features:
   - Video interface
   - Support for plugging in effect plugins
   - Equalizer interface

%package -n %libname
Summary:	Library for playback of music files
Group:		System/Libraries
Requires:	%name >= %version-%release

%description -n %libname
This is a generic library wrapping gstreamer usable in 
mediaplayer like applications.
             
   Implemented features:
   - Music file loading/playing/pausing/seeking
   - Gnome-VFS file information interface for MP3 and OGG files.
   - Volume control interface
   Planned features:
   - Video interface
   - Support for plugging in effect plugins
   - Equalizer interface

%package -n %libname-devel
Summary:		Header, docs and development libraries for %{name}
Group:			Development/C
Requires:		%{libname} = %{version}-%release
Requires:		libmad-devel
Requires:		libmusicbrainz-devel >= 1.1.0
Requires:		libgstreamer-devel >= %gstversion
Requires:		libvorbis-devel
Requires:		libgnome-vfs2-devel
Requires:		libglade2.0-devel
Provides:		%{name}-devel = %{version}-%release
Provides:		lib%name-devel = %version-%release
Requires:		libgstreamer-devel >= %gstversion

%description  -n %libname-devel
Header, docs and development libraries for %name

%prep
%setup -q
%patch0 -p0 -b .werror
%patch1 -p0 -b .gst

%build
autoconf
%configure2_5x --enable-compile-warnings
%make


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name


%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/monkey-media.schemas > /dev/null

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%config(noreplace) %{_sysconfdir}/gconf/schemas/monkey-media.schemas

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%{_includedir}/%name/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/%name.pc


%changelog
* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-7mdk
- fix buildrequires

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-6mdk
- update gstreamer patch for new version of gstreamer

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-5mdk
- mklibname macro
- rebuild against latest gstreamer

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-4mdk
- rebuild against latest ssl

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-3mdk
- rebuild against latest gstreamer

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- rebuild

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-3mdk
- patch1 for new gstreamer

* Fri Nov 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- fix dependancies of the devel package

* Fri Nov 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- install gconf schemas
- remove the properties stuff (not included anymore)
- sync requires with official package
- new version

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-4mdk
- remove ld library path hack
- rebuild with gstreamer 0.4.2

* Tue Sep 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-3mdk
- Add requires on gstreamer-GConf to prevent warnings

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- add /usr/lib/gst to ld.conf in the post script

* Thu Aug  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- 0.5.0
- renamed to monkey-media

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- fix installation
- register gconf scheme

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- mdk adaptions


* Mon Apr 15 2002 Jorn Baayen <jorn@nl.linux.org>
- Added schemas
* Sat Mar 09 2002 Christian Schaller <Uraeus@linuxrising.org>
- Removed Bonobo stuff as we are just a shared lib now
* Mon Mar 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added idl
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
